# Created by pyp2rpm-3.3.2
%global pypi_name pygrok

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        A Python library to parse strings and extract information from structured/unstructured data

License:        MIT
URL:            https://github.com/garyelephant/pygrok
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(regex)
BuildRequires:  python3dist(setuptools)

%description
pygrok |Build Status| |Join the chat at Python library to parse strings and
extract information from structured/unstructured dataWhat can I use Grok for? -
parsing and matching patterns in a string(log, message etc.) - relieving from
complex regular expressions. - extracting information from
structured/unstructured dataInstallation .. code:: Bash $ pip install pygrokor
download, uncompress and...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(regex)
%description -n python3-%{pypi_name}
pygrok |Build Status| |Join the chat at Python library to parse strings and
extract information from structured/unstructured dataWhat can I use Grok for? -
parsing and matching patterns in a string(log, message etc.) - relieving from
complex regular expressions. - extracting information from
structured/unstructured dataInstallation .. code:: Bash $ pip install pygrokor
download, uncompress and...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri May 10 2019 mockbuilder - 1.0.0-1
- Initial package.